# docker-deb-kernel

### Simple dockerfile to build the Linux kernel with debian packages

## Configure environment

	$ export DISTRIBUTION=bookworm
	$ export VERSION=6.12
Copy your kernel config to the `config` file

## Build image

	$ docker buildx build --build-arg DISTRIBUTION=bookworm --build-arg VERSION=6.12 -t docker-deb-kernel .

## Extract .deb packages from container

	$ docker run -d --rm --name ddk -v ./:/local docker-deb-kernel find /usr/src -iname *.deb -exec cp {} /local \;

## Install .deb packages

	$ sudo dpkg -i *.deb

## License

	MIT
